Pi Durable Platformdocs
ReferenceService accounts

A service account's keys, including revoked and expired ones from the last 30 days (team owners and admins; platform staff)

GET
/v1/teams/{team}/service-accounts/{serviceAccountId}/keys

Path Parameters

team*string

Team slug or ID

serviceAccountId*string
Formatuuid

Response Body

Keys, newest first

application/json
  1. response
data*array<>
curl -X GET 'https://agents.example.com/v1/teams/string/service-accounts/497f6eca-6276-4993-bfeb-53cbbbba6f08/keys'
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "prefix": "string",      "status": "active",      "createdAt": "2019-08-24T14:15:22Z",      "createdByName": "string",      "expiresAt": "2019-08-24T14:15:22Z",      "lastUsedAt": "2019-08-24T14:15:22Z",      "revokedAt": "2019-08-24T14:15:22Z"    }  ]}